
#ifndef GACENEXCEPTION_H
#define GACENEXCEPTION_H

#include <iostream> 
#include <sstream> 
#include <exception> 

namespace gacen {
    class GacenException : public std::exception 
    { 
    public: 
        GacenException( const char * Msg, int Line ) 
        { 
            std::ostringstream oss; 
            oss << "Erreur ligne " << Line << " : " 
                << Msg; 
            this->msg = oss.str(); 
        } 
      
        virtual ~GacenException() throw() 
        { 
      
        } 
      
        virtual const char * what() const throw() 
        { 
            return this->msg.c_str(); 
        } 
      
    private: 
        std::string msg; 
    }; 
} 
#endif // GACENEXCEPTION_H
